org.apache.maven.scm.command.update

## Class UpdateScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.update.UpdateScmResult

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    LocalUpdateScmResult, UpdateScmResultWithRevision

      public class UpdateScmResult
      extends ScmResult

  Version:
    $Id: UpdateScmResult.java 517196 2007-03-12 13:04:31Z evenisse $
  Author:
    Trygve Laugstøl
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateScmResult(List updatedFiles, List changes, ScmResult result)`
    `UpdateScmResult(String commandLine, List updatedFiles)`
    `UpdateScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getChanges()`
    `List` | `getUpdatedFiles()`
    `void` | `setChanges(List changes)`

    - ### Methods inherited from class org.apache.maven.scm.ScmResult

      `getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateScmResult

          public UpdateScmResult(String commandLine,
                         String providerMessage,
                         String commandOutput,
                         boolean success)

    - #### UpdateScmResult

          public UpdateScmResult(String commandLine,
                         List updatedFiles)

    - #### UpdateScmResult

          public UpdateScmResult(List updatedFiles,
                         List changes,
                         ScmResult result)

  - ### Method Detail

    - #### getUpdatedFiles

          public List getUpdatedFiles()

    - #### getChanges

          public List getChanges()

    - #### setChanges

          public void setChanges(List changes)

Copyright © 2003–2015. All rights reserved.